Core - Bug # 41460

Task # 40095 (Resolved): Move core to namespaces

Status: Resolved Priority: Must have

Author: Jigal van Hemert Category: Backend User Interface
Created: 2012-09-29 Assigned To: Jigal van Hemert
Updated: 2012-09-29 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: easy

Is Regression:

Sprint Focus:

Subject: Scheduler doesn't show additional fields when creating new task

Description

Because the fully namespaced class name (with prefix) is used as class attribute of the block with additional fields and these class
names contain backslashes, they are not suitable as values in HTML attributes.

Replacing the backslashes with dashes solves the problem.

Associated revisions

Revision 5bb026ee - 2012-09-29 15:38 - Jigal van Hemert

[BUGFIX] Make additional fields visible again in Scheduler

Namespaced class names contain backslashes and are not suitable for

use in HTML attributes. Converting them to lowercase and replacing
the backslashes with dashes makes the additional fields for scheduler
tasks visible again when creating a new task.

Change-Id: 161a8fe9ce2ad798ff0823b9b7686238a29b670f6
Fixes: #41460
Releases: 6.0

Reviewed-on: http://review.typo3.org/15150

Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History

#1 - 2012-09-29 07:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15150

#2 - 2012-09-29 16:30 - Jigal van Hemert

2015-08-04

1/2



http://review.typo3.org/15150
http://review.typo3.org/15150

- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:5bb026ee07cfc017a3781f630ade67adeffd59ef.
